import request from '@/utils/request'


// 用户状态修改
export function changeOffShelf(id, offShelf) {
  const data = {
    id,
    offShelf
  }
  return request({
    url: '/chanting/store/changeOffShelf',
    method: 'put',
    data: data
  })
}
// 查询posstore列表
export function listStore(query) {
  return request({
    url: '/chanting/store/list',
    method: 'get',
    params: query
  })
}

// 查询posstore详细
export function getStore(id) {
  return request({
    url: '/chanting/store/' + id,
    method: 'get'
  })
}

// 新增posstore
export function addStore(data) {
  return request({
    url: '/chanting/store',
    method: 'post',
    data: data
  })
}

// 修改posstore
export function updateStore(data) {
  return request({
    url: '/chanting/store',
    method: 'put',
    data: data
  })
}

// 删除posstore
export function delStore(id) {
  return request({
    url: '/chanting/store/' + id,
    method: 'delete'
  })
}
